<script lang="ts">
  import type { PlayerT } from '../types'
  import Dice from './Dice.svelte'

  export let player: PlayerT
  export let total: number
</script>

<div class="flex flex-col gap-2 w-full items-center">
  <slot />
  <h3 class="rubik-font text-2xl font-semibold">{player.name}</h3>
  <p class="text-3xl font-semibold">{total}</p>

  <div
    class:bg-violet-600={player.isPlayerTurn}
    class:bg-slate-400={!player.isPlayerTurn}
    class="dice p-4 box-border flex items-center justify-center rounded"
  >
    {#if player.diceInHand}
      <Dice dice={player.diceInHand} />
    {/if}
  </div>
</div>

<style>
  div.dice {
    height: 88px;
    width: 88px;
  }
</style>
